summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Maunz <andreas@maunz.de>2011-07-07 16:25:11 +0200
committerAndreas Maunz <andreas@maunz.de>2011-07-07 16:25:11 +0200
commitb99ee338f6831281de15ffb3ddd14e879e0c1af5 (patch)
tree0c5983bb8813f4524179cb92d6d82163e5a33998
parentdabea8ef8e26260a648b0d5fde6c43e378e3ae79 (diff)
Added fminer Unit-Tests
-rwxr-xr-xopentox-webservices.sh14
1 files changed, 12 insertions, 2 deletions
diff --git a/opentox-webservices.sh b/opentox-webservices.sh
index 811d4bc..26835e4 100755
--- a/opentox-webservices.sh
+++ b/opentox-webservices.sh
@@ -31,6 +31,12 @@ if [ ! -e "$GIT" ]; then
exit 1
fi
+RUBY="`which ruby`"
+if [ ! -e "$RUBY" ]; then
+ echo "'ruby' missing. Install 'ruby' first. Aborting..."
+ exit 1
+fi
+
LOG="/tmp/`basename $0`-log.txt"
echo
@@ -74,10 +80,14 @@ for mylib in bbrc last; do
done
cd "libfminer/libbbrc">>$LOG 2>&1
cmd="make ruby" && run_cmd "$cmd" "Make BBRC"
-cd ->>$LOG 2>&1
+cd "test">>$LOG 2>&1
+cmd="$RUBY tc_fminer_ruby.rb" && run_cmd "$cmd" "BBRC Unit Tests"
+cd ../../../ >>$LOG 2>&1
cd "libfminer/liblast">>$LOG 2>&1
cmd="make ruby" && run_cmd "$cmd" "Make LAST"
-cd ->>$LOG 2>&1
+cd "test">>$LOG 2>&1
+cmd="$RUBY tc_fminer_ruby.rb" && run_cmd "$cmd" "LAST Unit Tests"
+cd ../../../ >>$LOG 2>&1
cd "last-utils">>$LOG 2>&1
$GIT checkout $OT_BRANCH>>$LOG 2>&1
$GIT pull >>$LOG 2>&1